﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:variable name="quo">'</xsl:variable>

<xsl:template match="page_info" mode="js">
<script type="text/javascript">
function addBookmark(val){
	var thisurl = document.location.href;
	var pageTitle = 
			'<xsl:call-template name="escapeforjs">
				<xsl:with-param name="str" select="page/title" />
			</xsl:call-template>';
	var bookTitle = 
			'<xsl:call-template name="escapeforjs">
				<xsl:with-param name="str" select="book/title" />
			</xsl:call-template>';
	var favurl = thisurl.substring(0,thisurl.indexOf('page.xml'))+'index.html';
	var favname = '<xsl:value-of select="product/name"/>'
								+'_<xsl:value-of select="series/name"/>'
								+'_<xsl:value-of select="model/name"/>_'
								+bookTitle+'_'+pageTitle;
	window.external.AddFavorite(favurl,favname);
}
</script>
</xsl:template>

<xsl:template name="escapeforjs">
	<xsl:param name="str" /> 
	<xsl:call-template name="delstr">
		<xsl:with-param name="str" select="translate($str,'/\','')" />
		<xsl:with-param name="match" select="$quo" /> 
	</xsl:call-template>
</xsl:template>

<xsl:template name="delstr">
	<xsl:param name="str" />
	<xsl:param name="match" />
	<xsl:choose>
		<xsl:when test="contains($str,$match)">
			<xsl:value-of select="substring-before($str,$match)" />
			<xsl:call-template name="delstr">
				<xsl:with-param name="str" select="substring-after($str,$match)" />
				<xsl:with-param name="match" select="$match" />
			</xsl:call-template>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="$str" />
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

</xsl:stylesheet>
