<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html" encoding="UTF-8"/>

<xsl:template match="/esm">
<html>
<head>
	<link rel="stylesheet" type="text/css" href="../../system/style/styles-esm.css" />
	<script type="text/javascript" src="../../system/js/common.js"></script>
	<script type="text/javascript" src="../../system/js/lnavi.js"></script>
	<title></title>
</head>
<body id="local-navi" onload="init()">
<div onclick="closeAll();" id="c-all" class="expandc"/>
<div onclick="expandAll();" id="e-all" class="expande"/>
<xsl:apply-templates select="index"/>
</body>
</html>
</xsl:template>

<xsl:template match="index">
	<ul><xsl:apply-templates select="chapter"/></ul>
	<ul><xsl:apply-templates select="section"/></ul>
	<ul><xsl:apply-templates select="clause"/></ul>
	<ul><xsl:apply-templates select="subclause"/></ul>
	<ul><xsl:apply-templates select="smallclause"/></ul>
	<ul><xsl:apply-templates select="leaf"/></ul>
</xsl:template>

<xsl:template match="chapter">
			<xsl:apply-templates select="section"/>
			<xsl:apply-templates select="leaf"/>
</xsl:template>

<xsl:template match="section">
	<xsl:element name="li">
		<xsl:element name="a">
		<xsl:choose>
			<xsl:when test="@islast!='Y'">
				<xsl:attribute name="class">menubox-open</xsl:attribute>
			</xsl:when>
			<xsl:when test="sid=/esm/page_info/section/sid">
				<xsl:attribute name="class">menubox-open-last</xsl:attribute>
			</xsl:when>
			<xsl:otherwise>
				<xsl:attribute name="class">menubox-close-last</xsl:attribute>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:call-template name="typelink"/>
		</xsl:element>
		<xsl:element name="ul">
			<xsl:attribute name="id"><xsl:value-of select="sid"/></xsl:attribute>
			<xsl:choose>
				<xsl:when test="sid=/esm/page_info/section/sid">
					
				</xsl:when>
				<xsl:when test="@islast='Y'">
					<xsl:attribute name="style">display:none;</xsl:attribute>
				</xsl:when>
			</xsl:choose>
			<xsl:apply-templates select="clause"/>
			<xsl:apply-templates select="leaf"/>
		</xsl:element>
	</xsl:element>
</xsl:template>

<xsl:template match="clause">
	<xsl:element name="li">
		<xsl:element name="a">
		<xsl:choose>
			<xsl:when test="@islast!='Y'">
				<xsl:attribute name="class">menubox-open</xsl:attribute>
			</xsl:when>
			<xsl:when test="sid=/esm/page_info/clause/sid">
				<xsl:attribute name="class">menubox-open-last</xsl:attribute>
			</xsl:when>
			<xsl:otherwise>
				<xsl:attribute name="class">menubox-close-last</xsl:attribute>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:call-template name="typelink"/>
		</xsl:element>
		<xsl:element name="ul">
			<xsl:attribute name="id"><xsl:value-of select="sid"/></xsl:attribute>
			<xsl:choose>
				<xsl:when test="sid=/esm/page_info/clause/sid">
					
				</xsl:when>
				<xsl:when test="@islast='Y'">
					<xsl:attribute name="style">display:none;</xsl:attribute>
				</xsl:when>
			</xsl:choose>
			<xsl:apply-templates select="subclause"/>
			<xsl:apply-templates select="leaf"/>
		</xsl:element>
	</xsl:element>
</xsl:template>

<xsl:template match="subclause">
	<xsl:element name="li">
		<xsl:element name="a">
		<xsl:choose>
			<xsl:when test="@islast!='Y'">
				<xsl:attribute name="class">menubox-open</xsl:attribute>
			</xsl:when>
			<xsl:when test="sid=/esm/page_info/subclause/sid">
				<xsl:attribute name="class">menubox-open-last</xsl:attribute>
			</xsl:when>
			<xsl:otherwise>
				<xsl:attribute name="class">menubox-close-last</xsl:attribute>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:call-template name="typelink"/>
		</xsl:element>
		<xsl:element name="ul">
			<xsl:attribute name="id"><xsl:value-of select="sid"/></xsl:attribute>
			<xsl:choose>
				<xsl:when test="sid=/esm/page_info/subclause/sid">
					
				</xsl:when>
				<xsl:when test="@islast='Y'">
					<xsl:attribute name="style">display:none;</xsl:attribute>
				</xsl:when>
			</xsl:choose>
			<xsl:apply-templates select="smallclause"/>
			<xsl:apply-templates select="leaf"/>
		</xsl:element>
	</xsl:element>
</xsl:template>

<xsl:template match="smallclause">
	<xsl:element name="li">
		<xsl:element name="a">
		<xsl:choose>
			<xsl:when test="@islast!='Y'">
				<xsl:attribute name="class">menubox-open</xsl:attribute>
			</xsl:when>
			<xsl:when test="sid=/esm/page_info/smallclause/sid">
				<xsl:attribute name="class">menubox-open-last</xsl:attribute>
			</xsl:when>
			<xsl:otherwise>
				<xsl:attribute name="class">menubox-close-last</xsl:attribute>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:call-template name="typelink"/>
		</xsl:element>
		<xsl:element name="ul">
			<xsl:attribute name="id"><xsl:value-of select="sid"/></xsl:attribute>
			<xsl:choose>
				<xsl:when test="sid=/esm/page_info/smallclause/sid">
					
				</xsl:when>
				<xsl:when test="@islast='Y'">
					<xsl:attribute name="style">display:none;</xsl:attribute>
				</xsl:when>
			</xsl:choose>
			<xsl:apply-templates select="leaf"/>
		</xsl:element>
	</xsl:element>
</xsl:template>

<xsl:template match="leaf">
	<xsl:element name="li">
		<xsl:attribute name="class">leaf</xsl:attribute>
			<xsl:element name="a">
			<xsl:attribute name="href">../../leaves/<xsl:value-of select="leafid"/>/page.xml</xsl:attribute>
			<xsl:attribute name="title"><xsl:value-of select="title"/></xsl:attribute>
			<xsl:attribute name="name"><xsl:value-of select="leafid"/></xsl:attribute>
			<xsl:attribute name="class">leaf</xsl:attribute>
			<xsl:attribute name="target">contents</xsl:attribute>
			<span class="link"><xsl:apply-templates select="title"/></span>
		</xsl:element>
	</xsl:element>
</xsl:template>

<xsl:template name="typelink">
		<xsl:attribute name="id">id_<xsl:value-of select="sid"/></xsl:attribute>
		<xsl:choose>
			<xsl:when test="@type='batch'">
					<xsl:attribute name="href">../../index/<xsl:value-of select="sid"/>/page.xml</xsl:attribute>
					<xsl:attribute name="target">contents</xsl:attribute>
					<xsl:attribute name="onclick">onMenuLast('<xsl:value-of select="sid"/>','id_<xsl:value-of select="sid"/>')</xsl:attribute>														
					<xsl:attribute name="title"><xsl:value-of select="title"/></xsl:attribute>
					<xsl:attribute name="name"><xsl:value-of select="sid"/></xsl:attribute>
					<span class="link"><xsl:apply-templates select="title"/></span>
			</xsl:when>
			<xsl:when test="@islast='Y'">
					<xsl:attribute name="onclick">onMenuLast('<xsl:value-of select="sid"/>','id_<xsl:value-of select="sid"/>')</xsl:attribute>														
					<xsl:apply-templates select="title"/>
			</xsl:when>
			<xsl:otherwise>
					<xsl:attribute name="onclick">onMenu('<xsl:value-of select="sid"/>','id_<xsl:value-of select="sid"/>')</xsl:attribute>														
					<xsl:apply-templates select="title"/>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:attribute name="title"><xsl:value-of select="title"/></xsl:attribute>
		<xsl:attribute name="name"><xsl:value-of select="sid"/></xsl:attribute>
</xsl:template>

<xsl:template match="title">
		<xsl:choose>
			<xsl:when test="not(*|text())">
				<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
</xsl:template>

</xsl:stylesheet>
